PgpSignatoryFactory (Gradle API 7.6.3)

Package org.gradle.plugins.signing.signatory.pgp

## Class PgpSignatoryFactory

- java.lang.Object
- - org.gradle.plugins.signing.signatory.pgp.PgpSignatoryFactory

-     public class PgpSignatoryFactory
      extends java.lang.Object

  Creates `PgpSignatory` instances.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PgpSignatoryFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PgpSignatory` | `createSignatory​(java.lang.String name, java.lang.String keyId, java.io.File keyRing, java.lang.String password)` |
    `PgpSignatory` | `createSignatory​(java.lang.String name, org.bouncycastle.openpgp.PGPSecretKey secretKey, java.lang.String password)` |
    `PgpSignatory` | `createSignatory​(Project project)` |
    `PgpSignatory` | `createSignatory​(Project project, boolean required)` |
    `PgpSignatory` | `createSignatory​(Project project, java.lang.String propertyPrefix)` |
    `PgpSignatory` | `createSignatory​(Project project, java.lang.String propertyPrefix, boolean required)` |
    `PgpSignatory` | `createSignatory​(Project project, java.lang.String propertyPrefix, java.lang.String name)` |
    `PgpSignatory` | `createSignatory​(Project project, java.lang.String propertyPrefix, java.lang.String name, boolean required)` |
    `protected java.lang.Object` | `getQualifiedPropertyName​(java.lang.String propertyPrefix, java.lang.String name)` |
    `protected PgpKeyId` | `normalizeKeyId​(java.lang.String keyId)` |
    `protected PgpSignatory` | `readProperties​(Project project, java.lang.String prefix, java.lang.String name)` |
    `protected PgpSignatory` | `readProperties​(Project project, java.lang.String prefix, java.lang.String name, boolean required)` |
    `protected org.bouncycastle.openpgp.PGPSecretKey` | `readSecretKey​(java.io.InputStream input, java.lang.String keyId, java.lang.String sourceDescription)` |
    `org.bouncycastle.openpgp.PGPSecretKey` | `readSecretKey​(java.lang.String keyId, java.io.File file)` |
    `protected org.bouncycastle.openpgp.PGPSecretKey` | `readSecretKey​(org.bouncycastle.openpgp.PGPSecretKeyRingCollection keyRings, PgpKeyId keyId, java.lang.String sourceDescription)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PgpSignatoryFactory

          public PgpSignatoryFactory()

  - ### Method Detail

    - #### createSignatory

          public PgpSignatory createSignatory​(Project project,
                                              boolean required)

    - #### createSignatory

          public PgpSignatory createSignatory​(Project project)

    - #### createSignatory

          public PgpSignatory createSignatory​(Project project,
                                              java.lang.String propertyPrefix,
                                              boolean required)

    - #### createSignatory

          public PgpSignatory createSignatory​(Project project,
                                              java.lang.String propertyPrefix)

    - #### createSignatory

          public PgpSignatory createSignatory​(Project project,
                                              java.lang.String propertyPrefix,
                                              java.lang.String name,
                                              boolean required)

    - #### createSignatory

          public PgpSignatory createSignatory​(Project project,
                                              java.lang.String propertyPrefix,
                                              java.lang.String name)

    - #### createSignatory

          public PgpSignatory createSignatory​(java.lang.String name,
                                              java.lang.String keyId,
                                              java.io.File keyRing,
                                              java.lang.String password)

    - #### createSignatory

          public PgpSignatory createSignatory​(java.lang.String name,
                                              org.bouncycastle.openpgp.PGPSecretKey secretKey,
                                              java.lang.String password)

    - #### readProperties

          protected PgpSignatory readProperties​(Project project,
                                                java.lang.String prefix,
                                                java.lang.String name)

    - #### readProperties

          protected PgpSignatory readProperties​(Project project,
                                                java.lang.String prefix,
                                                java.lang.String name,
                                                boolean required)

    - #### getQualifiedPropertyName

          protected java.lang.Object getQualifiedPropertyName​(java.lang.String propertyPrefix,
                                                              java.lang.String name)

    - #### readSecretKey

          public org.bouncycastle.openpgp.PGPSecretKey readSecretKey​(java.lang.String keyId,
                                                                     java.io.File file)

    - #### readSecretKey

          protected org.bouncycastle.openpgp.PGPSecretKey readSecretKey​(java.io.InputStream input,
                                                                        java.lang.String keyId,
                                                                        java.lang.String sourceDescription)

    - #### readSecretKey

          protected org.bouncycastle.openpgp.PGPSecretKey readSecretKey​(org.bouncycastle.openpgp.PGPSecretKeyRingCollection keyRings,
                                                                        PgpKeyId keyId,
                                                                        java.lang.String sourceDescription)

    - #### normalizeKeyId

          protected PgpKeyId normalizeKeyId​(java.lang.String keyId)